> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drip.re/llms.txt
> Use this file to discover all available pages before exploring further.

# Link a credential to an account (transfers balances)

> Link a credential to an account (transfers balances)



## OpenAPI

````yaml https://api.drip.re/docs/json post /api/v1/realms/{realmId}/credentials/link
openapi: 3.1.0
info:
  title: Drip Rewards API
  description: The official API documentation for the Drip Rewards Ecosystem
  version: 1.0.0
servers:
  - url: https://api.drip.re/
    description: DRIP API
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: https://swagger.io
  description: Find more info here
paths:
  /api/v1/realms/{realmId}/credentials/link:
    post:
      tags:
        - Credentials
      summary: Link a credential to an account (transfers balances)
      description: Link a credential to an account (transfers balances)
      parameters:
        - schema:
            type: string
            enum:
              - twitter-id
              - discord-id
              - wallet
              - email
              - custom
          in: query
          name: type
          required: true
          description: Type of credential identifier
        - schema:
            type: string
          in: query
          name: value
          required: true
          description: Credential value
        - schema:
            type: string
          in: query
          name: source
          required: false
          description: Required for custom type
        - schema:
            type: string
          in: query
          name: accountId
          required: true
          description: Account ID to link the credential to
        - schema:
            type: string
          in: path
          name: realmId
          required: true
          description: Realm ID
      responses:
        '204':
          description: No Content - Successfully linked credential to account
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API Key

````